/*******************************************************************************
* File Name: can_rx.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_can_rx_H) /* Pins can_rx_H */
#define CY_PINS_can_rx_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "can_rx_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    can_rx_Write(uint8 value);
void    can_rx_SetDriveMode(uint8 mode);
uint8   can_rx_ReadDataReg(void);
uint8   can_rx_Read(void);
uint8   can_rx_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define can_rx_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define can_rx_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define can_rx_DM_RES_UP          PIN_DM_RES_UP
#define can_rx_DM_RES_DWN         PIN_DM_RES_DWN
#define can_rx_DM_OD_LO           PIN_DM_OD_LO
#define can_rx_DM_OD_HI           PIN_DM_OD_HI
#define can_rx_DM_STRONG          PIN_DM_STRONG
#define can_rx_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define can_rx_MASK               can_rx__MASK
#define can_rx_SHIFT              can_rx__SHIFT
#define can_rx_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define can_rx_PS                     (* (reg8 *) can_rx__PS)
/* Data Register */
#define can_rx_DR                     (* (reg8 *) can_rx__DR)
/* Port Number */
#define can_rx_PRT_NUM                (* (reg8 *) can_rx__PRT) 
/* Connect to Analog Globals */                                                  
#define can_rx_AG                     (* (reg8 *) can_rx__AG)                       
/* Analog MUX bux enable */
#define can_rx_AMUX                   (* (reg8 *) can_rx__AMUX) 
/* Bidirectional Enable */                                                        
#define can_rx_BIE                    (* (reg8 *) can_rx__BIE)
/* Bit-mask for Aliased Register Access */
#define can_rx_BIT_MASK               (* (reg8 *) can_rx__BIT_MASK)
/* Bypass Enable */
#define can_rx_BYP                    (* (reg8 *) can_rx__BYP)
/* Port wide control signals */                                                   
#define can_rx_CTL                    (* (reg8 *) can_rx__CTL)
/* Drive Modes */
#define can_rx_DM0                    (* (reg8 *) can_rx__DM0) 
#define can_rx_DM1                    (* (reg8 *) can_rx__DM1)
#define can_rx_DM2                    (* (reg8 *) can_rx__DM2) 
/* Input Buffer Disable Override */
#define can_rx_INP_DIS                (* (reg8 *) can_rx__INP_DIS)
/* LCD Common or Segment Drive */
#define can_rx_LCD_COM_SEG            (* (reg8 *) can_rx__LCD_COM_SEG)
/* Enable Segment LCD */
#define can_rx_LCD_EN                 (* (reg8 *) can_rx__LCD_EN)
/* Slew Rate Control */
#define can_rx_SLW                    (* (reg8 *) can_rx__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define can_rx_PRTDSI__CAPS_SEL       (* (reg8 *) can_rx__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define can_rx_PRTDSI__DBL_SYNC_IN    (* (reg8 *) can_rx__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define can_rx_PRTDSI__OE_SEL0        (* (reg8 *) can_rx__PRTDSI__OE_SEL0) 
#define can_rx_PRTDSI__OE_SEL1        (* (reg8 *) can_rx__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define can_rx_PRTDSI__OUT_SEL0       (* (reg8 *) can_rx__PRTDSI__OUT_SEL0) 
#define can_rx_PRTDSI__OUT_SEL1       (* (reg8 *) can_rx__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define can_rx_PRTDSI__SYNC_OUT       (* (reg8 *) can_rx__PRTDSI__SYNC_OUT) 


#if defined(can_rx__INTSTAT)  /* Interrupt Registers */

    #define can_rx_INTSTAT                (* (reg8 *) can_rx__INTSTAT)
    #define can_rx_SNAP                   (* (reg8 *) can_rx__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins can_rx_H */


/* [] END OF FILE */
