/*******************************************************************************
* File Name: can_tx.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_can_tx_H) /* Pins can_tx_H */
#define CY_PINS_can_tx_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "can_tx_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    can_tx_Write(uint8 value);
void    can_tx_SetDriveMode(uint8 mode);
uint8   can_tx_ReadDataReg(void);
uint8   can_tx_Read(void);
uint8   can_tx_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define can_tx_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define can_tx_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define can_tx_DM_RES_UP          PIN_DM_RES_UP
#define can_tx_DM_RES_DWN         PIN_DM_RES_DWN
#define can_tx_DM_OD_LO           PIN_DM_OD_LO
#define can_tx_DM_OD_HI           PIN_DM_OD_HI
#define can_tx_DM_STRONG          PIN_DM_STRONG
#define can_tx_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define can_tx_MASK               can_tx__MASK
#define can_tx_SHIFT              can_tx__SHIFT
#define can_tx_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define can_tx_PS                     (* (reg8 *) can_tx__PS)
/* Data Register */
#define can_tx_DR                     (* (reg8 *) can_tx__DR)
/* Port Number */
#define can_tx_PRT_NUM                (* (reg8 *) can_tx__PRT) 
/* Connect to Analog Globals */                                                  
#define can_tx_AG                     (* (reg8 *) can_tx__AG)                       
/* Analog MUX bux enable */
#define can_tx_AMUX                   (* (reg8 *) can_tx__AMUX) 
/* Bidirectional Enable */                                                        
#define can_tx_BIE                    (* (reg8 *) can_tx__BIE)
/* Bit-mask for Aliased Register Access */
#define can_tx_BIT_MASK               (* (reg8 *) can_tx__BIT_MASK)
/* Bypass Enable */
#define can_tx_BYP                    (* (reg8 *) can_tx__BYP)
/* Port wide control signals */                                                   
#define can_tx_CTL                    (* (reg8 *) can_tx__CTL)
/* Drive Modes */
#define can_tx_DM0                    (* (reg8 *) can_tx__DM0) 
#define can_tx_DM1                    (* (reg8 *) can_tx__DM1)
#define can_tx_DM2                    (* (reg8 *) can_tx__DM2) 
/* Input Buffer Disable Override */
#define can_tx_INP_DIS                (* (reg8 *) can_tx__INP_DIS)
/* LCD Common or Segment Drive */
#define can_tx_LCD_COM_SEG            (* (reg8 *) can_tx__LCD_COM_SEG)
/* Enable Segment LCD */
#define can_tx_LCD_EN                 (* (reg8 *) can_tx__LCD_EN)
/* Slew Rate Control */
#define can_tx_SLW                    (* (reg8 *) can_tx__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define can_tx_PRTDSI__CAPS_SEL       (* (reg8 *) can_tx__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define can_tx_PRTDSI__DBL_SYNC_IN    (* (reg8 *) can_tx__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define can_tx_PRTDSI__OE_SEL0        (* (reg8 *) can_tx__PRTDSI__OE_SEL0) 
#define can_tx_PRTDSI__OE_SEL1        (* (reg8 *) can_tx__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define can_tx_PRTDSI__OUT_SEL0       (* (reg8 *) can_tx__PRTDSI__OUT_SEL0) 
#define can_tx_PRTDSI__OUT_SEL1       (* (reg8 *) can_tx__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define can_tx_PRTDSI__SYNC_OUT       (* (reg8 *) can_tx__PRTDSI__SYNC_OUT) 


#if defined(can_tx__INTSTAT)  /* Interrupt Registers */

    #define can_tx_INTSTAT                (* (reg8 *) can_tx__INTSTAT)
    #define can_tx_SNAP                   (* (reg8 *) can_tx__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins can_tx_H */


/* [] END OF FILE */
