/*******************************************************************************
* File Name: clk_12mhz.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_clk_12mhz_H) /* Pins clk_12mhz_H */
#define CY_PINS_clk_12mhz_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "clk_12mhz_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    clk_12mhz_Write(uint8 value) ;
void    clk_12mhz_SetDriveMode(uint8 mode) ;
uint8   clk_12mhz_ReadDataReg(void) ;
uint8   clk_12mhz_Read(void) ;
uint8   clk_12mhz_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define clk_12mhz_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define clk_12mhz_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define clk_12mhz_DM_RES_UP          PIN_DM_RES_UP
#define clk_12mhz_DM_RES_DWN         PIN_DM_RES_DWN
#define clk_12mhz_DM_OD_LO           PIN_DM_OD_LO
#define clk_12mhz_DM_OD_HI           PIN_DM_OD_HI
#define clk_12mhz_DM_STRONG          PIN_DM_STRONG
#define clk_12mhz_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define clk_12mhz_MASK               clk_12mhz__MASK
#define clk_12mhz_SHIFT              clk_12mhz__SHIFT
#define clk_12mhz_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define clk_12mhz_PS                     (* (reg8 *) clk_12mhz__PS)
/* Data Register */
#define clk_12mhz_DR                     (* (reg8 *) clk_12mhz__DR)
/* Port Number */
#define clk_12mhz_PRT_NUM                (* (reg8 *) clk_12mhz__PRT) 
/* Connect to Analog Globals */                                                  
#define clk_12mhz_AG                     (* (reg8 *) clk_12mhz__AG)                       
/* Analog MUX bux enable */
#define clk_12mhz_AMUX                   (* (reg8 *) clk_12mhz__AMUX) 
/* Bidirectional Enable */                                                        
#define clk_12mhz_BIE                    (* (reg8 *) clk_12mhz__BIE)
/* Bit-mask for Aliased Register Access */
#define clk_12mhz_BIT_MASK               (* (reg8 *) clk_12mhz__BIT_MASK)
/* Bypass Enable */
#define clk_12mhz_BYP                    (* (reg8 *) clk_12mhz__BYP)
/* Port wide control signals */                                                   
#define clk_12mhz_CTL                    (* (reg8 *) clk_12mhz__CTL)
/* Drive Modes */
#define clk_12mhz_DM0                    (* (reg8 *) clk_12mhz__DM0) 
#define clk_12mhz_DM1                    (* (reg8 *) clk_12mhz__DM1)
#define clk_12mhz_DM2                    (* (reg8 *) clk_12mhz__DM2) 
/* Input Buffer Disable Override */
#define clk_12mhz_INP_DIS                (* (reg8 *) clk_12mhz__INP_DIS)
/* LCD Common or Segment Drive */
#define clk_12mhz_LCD_COM_SEG            (* (reg8 *) clk_12mhz__LCD_COM_SEG)
/* Enable Segment LCD */
#define clk_12mhz_LCD_EN                 (* (reg8 *) clk_12mhz__LCD_EN)
/* Slew Rate Control */
#define clk_12mhz_SLW                    (* (reg8 *) clk_12mhz__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define clk_12mhz_PRTDSI__CAPS_SEL       (* (reg8 *) clk_12mhz__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define clk_12mhz_PRTDSI__DBL_SYNC_IN    (* (reg8 *) clk_12mhz__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define clk_12mhz_PRTDSI__OE_SEL0        (* (reg8 *) clk_12mhz__PRTDSI__OE_SEL0) 
#define clk_12mhz_PRTDSI__OE_SEL1        (* (reg8 *) clk_12mhz__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define clk_12mhz_PRTDSI__OUT_SEL0       (* (reg8 *) clk_12mhz__PRTDSI__OUT_SEL0) 
#define clk_12mhz_PRTDSI__OUT_SEL1       (* (reg8 *) clk_12mhz__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define clk_12mhz_PRTDSI__SYNC_OUT       (* (reg8 *) clk_12mhz__PRTDSI__SYNC_OUT) 


#if defined(clk_12mhz__INTSTAT)  /* Interrupt Registers */

    #define clk_12mhz_INTSTAT                (* (reg8 *) clk_12mhz__INTSTAT)
    #define clk_12mhz_SNAP                   (* (reg8 *) clk_12mhz__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins clk_12mhz_H */


/* [] END OF FILE */
