/*******************************************************************************
* File Name: divider_mux.h
* Version 1.50
*
*  Description:
*    This file contains the constants and function prototypes for the Analog
*    Multiplexer User Module AMux.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_AMUX_divider_mux_H)
#define CY_AMUX_divider_mux_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"


/***************************************
*        Function Prototypes
***************************************/

void divider_mux_Start(void);
void divider_mux_Init(void);
void divider_mux_Stop(void);
void divider_mux_Select(uint8 channel) ;
void divider_mux_FastSelect(uint8 channel) ;
void divider_mux_DisconnectAll(void) ;
/* The Connect and Disconnect functions are declared elsewhere */
/* void divider_mux_Connect(uint8 channel); */
/* void divider_mux_Disconnect(uint8 channel); */


/***************************************
*     Initial Parameter Constants
***************************************/

#define divider_mux_CHANNELS  8
#define divider_mux_MUXTYPE   1


/***************************************
*             API Constants
***************************************/

#define divider_mux_NULL_CHANNEL  0xFFu
#define divider_mux_MUX_SINGLE   1
#define divider_mux_MUX_DIFF     2


/***************************************
*        Conditional Functions
***************************************/

#if divider_mux_MUXTYPE == divider_mux_MUX_SINGLE
# define divider_mux_Connect(channel) divider_mux_Set(channel)
# define divider_mux_Disconnect(channel) divider_mux_Unset(channel)
#else
void divider_mux_Connect(uint8 channel) ;
void divider_mux_Disconnect(uint8 channel) ;
#endif

#endif /* CY_AMUX_divider_mux_H */


/* [] END OF FILE */
