/*******************************************************************************
* File Name: gpio0.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_gpio0_H) /* Pins gpio0_H */
#define CY_PINS_gpio0_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "gpio0_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    gpio0_Write(uint8 value) ;
void    gpio0_SetDriveMode(uint8 mode) ;
uint8   gpio0_ReadDataReg(void) ;
uint8   gpio0_Read(void) ;
uint8   gpio0_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define gpio0_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define gpio0_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define gpio0_DM_RES_UP          PIN_DM_RES_UP
#define gpio0_DM_RES_DWN         PIN_DM_RES_DWN
#define gpio0_DM_OD_LO           PIN_DM_OD_LO
#define gpio0_DM_OD_HI           PIN_DM_OD_HI
#define gpio0_DM_STRONG          PIN_DM_STRONG
#define gpio0_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define gpio0_MASK               gpio0__MASK
#define gpio0_SHIFT              gpio0__SHIFT
#define gpio0_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define gpio0_PS                     (* (reg8 *) gpio0__PS)
/* Data Register */
#define gpio0_DR                     (* (reg8 *) gpio0__DR)
/* Port Number */
#define gpio0_PRT_NUM                (* (reg8 *) gpio0__PRT) 
/* Connect to Analog Globals */                                                  
#define gpio0_AG                     (* (reg8 *) gpio0__AG)                       
/* Analog MUX bux enable */
#define gpio0_AMUX                   (* (reg8 *) gpio0__AMUX) 
/* Bidirectional Enable */                                                        
#define gpio0_BIE                    (* (reg8 *) gpio0__BIE)
/* Bit-mask for Aliased Register Access */
#define gpio0_BIT_MASK               (* (reg8 *) gpio0__BIT_MASK)
/* Bypass Enable */
#define gpio0_BYP                    (* (reg8 *) gpio0__BYP)
/* Port wide control signals */                                                   
#define gpio0_CTL                    (* (reg8 *) gpio0__CTL)
/* Drive Modes */
#define gpio0_DM0                    (* (reg8 *) gpio0__DM0) 
#define gpio0_DM1                    (* (reg8 *) gpio0__DM1)
#define gpio0_DM2                    (* (reg8 *) gpio0__DM2) 
/* Input Buffer Disable Override */
#define gpio0_INP_DIS                (* (reg8 *) gpio0__INP_DIS)
/* LCD Common or Segment Drive */
#define gpio0_LCD_COM_SEG            (* (reg8 *) gpio0__LCD_COM_SEG)
/* Enable Segment LCD */
#define gpio0_LCD_EN                 (* (reg8 *) gpio0__LCD_EN)
/* Slew Rate Control */
#define gpio0_SLW                    (* (reg8 *) gpio0__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define gpio0_PRTDSI__CAPS_SEL       (* (reg8 *) gpio0__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define gpio0_PRTDSI__DBL_SYNC_IN    (* (reg8 *) gpio0__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define gpio0_PRTDSI__OE_SEL0        (* (reg8 *) gpio0__PRTDSI__OE_SEL0) 
#define gpio0_PRTDSI__OE_SEL1        (* (reg8 *) gpio0__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define gpio0_PRTDSI__OUT_SEL0       (* (reg8 *) gpio0__PRTDSI__OUT_SEL0) 
#define gpio0_PRTDSI__OUT_SEL1       (* (reg8 *) gpio0__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define gpio0_PRTDSI__SYNC_OUT       (* (reg8 *) gpio0__PRTDSI__SYNC_OUT) 


#if defined(gpio0__INTSTAT)  /* Interrupt Registers */

    #define gpio0_INTSTAT                (* (reg8 *) gpio0__INTSTAT)
    #define gpio0_SNAP                   (* (reg8 *) gpio0__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins gpio0_H */


/* [] END OF FILE */
