/*******************************************************************************
* File Name: gpio1.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_gpio1_H) /* Pins gpio1_H */
#define CY_PINS_gpio1_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "gpio1_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    gpio1_Write(uint8 value) ;
void    gpio1_SetDriveMode(uint8 mode) ;
uint8   gpio1_ReadDataReg(void) ;
uint8   gpio1_Read(void) ;
uint8   gpio1_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define gpio1_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define gpio1_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define gpio1_DM_RES_UP          PIN_DM_RES_UP
#define gpio1_DM_RES_DWN         PIN_DM_RES_DWN
#define gpio1_DM_OD_LO           PIN_DM_OD_LO
#define gpio1_DM_OD_HI           PIN_DM_OD_HI
#define gpio1_DM_STRONG          PIN_DM_STRONG
#define gpio1_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define gpio1_MASK               gpio1__MASK
#define gpio1_SHIFT              gpio1__SHIFT
#define gpio1_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define gpio1_PS                     (* (reg8 *) gpio1__PS)
/* Data Register */
#define gpio1_DR                     (* (reg8 *) gpio1__DR)
/* Port Number */
#define gpio1_PRT_NUM                (* (reg8 *) gpio1__PRT) 
/* Connect to Analog Globals */                                                  
#define gpio1_AG                     (* (reg8 *) gpio1__AG)                       
/* Analog MUX bux enable */
#define gpio1_AMUX                   (* (reg8 *) gpio1__AMUX) 
/* Bidirectional Enable */                                                        
#define gpio1_BIE                    (* (reg8 *) gpio1__BIE)
/* Bit-mask for Aliased Register Access */
#define gpio1_BIT_MASK               (* (reg8 *) gpio1__BIT_MASK)
/* Bypass Enable */
#define gpio1_BYP                    (* (reg8 *) gpio1__BYP)
/* Port wide control signals */                                                   
#define gpio1_CTL                    (* (reg8 *) gpio1__CTL)
/* Drive Modes */
#define gpio1_DM0                    (* (reg8 *) gpio1__DM0) 
#define gpio1_DM1                    (* (reg8 *) gpio1__DM1)
#define gpio1_DM2                    (* (reg8 *) gpio1__DM2) 
/* Input Buffer Disable Override */
#define gpio1_INP_DIS                (* (reg8 *) gpio1__INP_DIS)
/* LCD Common or Segment Drive */
#define gpio1_LCD_COM_SEG            (* (reg8 *) gpio1__LCD_COM_SEG)
/* Enable Segment LCD */
#define gpio1_LCD_EN                 (* (reg8 *) gpio1__LCD_EN)
/* Slew Rate Control */
#define gpio1_SLW                    (* (reg8 *) gpio1__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define gpio1_PRTDSI__CAPS_SEL       (* (reg8 *) gpio1__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define gpio1_PRTDSI__DBL_SYNC_IN    (* (reg8 *) gpio1__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define gpio1_PRTDSI__OE_SEL0        (* (reg8 *) gpio1__PRTDSI__OE_SEL0) 
#define gpio1_PRTDSI__OE_SEL1        (* (reg8 *) gpio1__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define gpio1_PRTDSI__OUT_SEL0       (* (reg8 *) gpio1__PRTDSI__OUT_SEL0) 
#define gpio1_PRTDSI__OUT_SEL1       (* (reg8 *) gpio1__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define gpio1_PRTDSI__SYNC_OUT       (* (reg8 *) gpio1__PRTDSI__SYNC_OUT) 


#if defined(gpio1__INTSTAT)  /* Interrupt Registers */

    #define gpio1_INTSTAT                (* (reg8 *) gpio1__INTSTAT)
    #define gpio1_SNAP                   (* (reg8 *) gpio1__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins gpio1_H */


/* [] END OF FILE */
