/*******************************************************************************
* File Name: gpio2.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_gpio2_H) /* Pins gpio2_H */
#define CY_PINS_gpio2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "gpio2_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    gpio2_Write(uint8 value) ;
void    gpio2_SetDriveMode(uint8 mode) ;
uint8   gpio2_ReadDataReg(void) ;
uint8   gpio2_Read(void) ;
uint8   gpio2_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define gpio2_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define gpio2_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define gpio2_DM_RES_UP          PIN_DM_RES_UP
#define gpio2_DM_RES_DWN         PIN_DM_RES_DWN
#define gpio2_DM_OD_LO           PIN_DM_OD_LO
#define gpio2_DM_OD_HI           PIN_DM_OD_HI
#define gpio2_DM_STRONG          PIN_DM_STRONG
#define gpio2_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define gpio2_MASK               gpio2__MASK
#define gpio2_SHIFT              gpio2__SHIFT
#define gpio2_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define gpio2_PS                     (* (reg8 *) gpio2__PS)
/* Data Register */
#define gpio2_DR                     (* (reg8 *) gpio2__DR)
/* Port Number */
#define gpio2_PRT_NUM                (* (reg8 *) gpio2__PRT) 
/* Connect to Analog Globals */                                                  
#define gpio2_AG                     (* (reg8 *) gpio2__AG)                       
/* Analog MUX bux enable */
#define gpio2_AMUX                   (* (reg8 *) gpio2__AMUX) 
/* Bidirectional Enable */                                                        
#define gpio2_BIE                    (* (reg8 *) gpio2__BIE)
/* Bit-mask for Aliased Register Access */
#define gpio2_BIT_MASK               (* (reg8 *) gpio2__BIT_MASK)
/* Bypass Enable */
#define gpio2_BYP                    (* (reg8 *) gpio2__BYP)
/* Port wide control signals */                                                   
#define gpio2_CTL                    (* (reg8 *) gpio2__CTL)
/* Drive Modes */
#define gpio2_DM0                    (* (reg8 *) gpio2__DM0) 
#define gpio2_DM1                    (* (reg8 *) gpio2__DM1)
#define gpio2_DM2                    (* (reg8 *) gpio2__DM2) 
/* Input Buffer Disable Override */
#define gpio2_INP_DIS                (* (reg8 *) gpio2__INP_DIS)
/* LCD Common or Segment Drive */
#define gpio2_LCD_COM_SEG            (* (reg8 *) gpio2__LCD_COM_SEG)
/* Enable Segment LCD */
#define gpio2_LCD_EN                 (* (reg8 *) gpio2__LCD_EN)
/* Slew Rate Control */
#define gpio2_SLW                    (* (reg8 *) gpio2__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define gpio2_PRTDSI__CAPS_SEL       (* (reg8 *) gpio2__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define gpio2_PRTDSI__DBL_SYNC_IN    (* (reg8 *) gpio2__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define gpio2_PRTDSI__OE_SEL0        (* (reg8 *) gpio2__PRTDSI__OE_SEL0) 
#define gpio2_PRTDSI__OE_SEL1        (* (reg8 *) gpio2__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define gpio2_PRTDSI__OUT_SEL0       (* (reg8 *) gpio2__PRTDSI__OUT_SEL0) 
#define gpio2_PRTDSI__OUT_SEL1       (* (reg8 *) gpio2__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define gpio2_PRTDSI__SYNC_OUT       (* (reg8 *) gpio2__PRTDSI__SYNC_OUT) 


#if defined(gpio2__INTSTAT)  /* Interrupt Registers */

    #define gpio2_INTSTAT                (* (reg8 *) gpio2__INTSTAT)
    #define gpio2_SNAP                   (* (reg8 *) gpio2__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins gpio2_H */


/* [] END OF FILE */
