/*******************************************************************************
* File Name: gpio3.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_gpio3_H) /* Pins gpio3_H */
#define CY_PINS_gpio3_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "gpio3_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    gpio3_Write(uint8 value) ;
void    gpio3_SetDriveMode(uint8 mode) ;
uint8   gpio3_ReadDataReg(void) ;
uint8   gpio3_Read(void) ;
uint8   gpio3_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define gpio3_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define gpio3_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define gpio3_DM_RES_UP          PIN_DM_RES_UP
#define gpio3_DM_RES_DWN         PIN_DM_RES_DWN
#define gpio3_DM_OD_LO           PIN_DM_OD_LO
#define gpio3_DM_OD_HI           PIN_DM_OD_HI
#define gpio3_DM_STRONG          PIN_DM_STRONG
#define gpio3_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define gpio3_MASK               gpio3__MASK
#define gpio3_SHIFT              gpio3__SHIFT
#define gpio3_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define gpio3_PS                     (* (reg8 *) gpio3__PS)
/* Data Register */
#define gpio3_DR                     (* (reg8 *) gpio3__DR)
/* Port Number */
#define gpio3_PRT_NUM                (* (reg8 *) gpio3__PRT) 
/* Connect to Analog Globals */                                                  
#define gpio3_AG                     (* (reg8 *) gpio3__AG)                       
/* Analog MUX bux enable */
#define gpio3_AMUX                   (* (reg8 *) gpio3__AMUX) 
/* Bidirectional Enable */                                                        
#define gpio3_BIE                    (* (reg8 *) gpio3__BIE)
/* Bit-mask for Aliased Register Access */
#define gpio3_BIT_MASK               (* (reg8 *) gpio3__BIT_MASK)
/* Bypass Enable */
#define gpio3_BYP                    (* (reg8 *) gpio3__BYP)
/* Port wide control signals */                                                   
#define gpio3_CTL                    (* (reg8 *) gpio3__CTL)
/* Drive Modes */
#define gpio3_DM0                    (* (reg8 *) gpio3__DM0) 
#define gpio3_DM1                    (* (reg8 *) gpio3__DM1)
#define gpio3_DM2                    (* (reg8 *) gpio3__DM2) 
/* Input Buffer Disable Override */
#define gpio3_INP_DIS                (* (reg8 *) gpio3__INP_DIS)
/* LCD Common or Segment Drive */
#define gpio3_LCD_COM_SEG            (* (reg8 *) gpio3__LCD_COM_SEG)
/* Enable Segment LCD */
#define gpio3_LCD_EN                 (* (reg8 *) gpio3__LCD_EN)
/* Slew Rate Control */
#define gpio3_SLW                    (* (reg8 *) gpio3__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define gpio3_PRTDSI__CAPS_SEL       (* (reg8 *) gpio3__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define gpio3_PRTDSI__DBL_SYNC_IN    (* (reg8 *) gpio3__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define gpio3_PRTDSI__OE_SEL0        (* (reg8 *) gpio3__PRTDSI__OE_SEL0) 
#define gpio3_PRTDSI__OE_SEL1        (* (reg8 *) gpio3__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define gpio3_PRTDSI__OUT_SEL0       (* (reg8 *) gpio3__PRTDSI__OUT_SEL0) 
#define gpio3_PRTDSI__OUT_SEL1       (* (reg8 *) gpio3__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define gpio3_PRTDSI__SYNC_OUT       (* (reg8 *) gpio3__PRTDSI__SYNC_OUT) 


#if defined(gpio3__INTSTAT)  /* Interrupt Registers */

    #define gpio3_INTSTAT                (* (reg8 *) gpio3__INTSTAT)
    #define gpio3_SNAP                   (* (reg8 *) gpio3__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins gpio3_H */


/* [] END OF FILE */
