/*******************************************************************************
* File Name: gpio4.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_gpio4_H) /* Pins gpio4_H */
#define CY_PINS_gpio4_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "gpio4_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    gpio4_Write(uint8 value) ;
void    gpio4_SetDriveMode(uint8 mode) ;
uint8   gpio4_ReadDataReg(void) ;
uint8   gpio4_Read(void) ;
uint8   gpio4_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define gpio4_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define gpio4_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define gpio4_DM_RES_UP          PIN_DM_RES_UP
#define gpio4_DM_RES_DWN         PIN_DM_RES_DWN
#define gpio4_DM_OD_LO           PIN_DM_OD_LO
#define gpio4_DM_OD_HI           PIN_DM_OD_HI
#define gpio4_DM_STRONG          PIN_DM_STRONG
#define gpio4_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define gpio4_MASK               gpio4__MASK
#define gpio4_SHIFT              gpio4__SHIFT
#define gpio4_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define gpio4_PS                     (* (reg8 *) gpio4__PS)
/* Data Register */
#define gpio4_DR                     (* (reg8 *) gpio4__DR)
/* Port Number */
#define gpio4_PRT_NUM                (* (reg8 *) gpio4__PRT) 
/* Connect to Analog Globals */                                                  
#define gpio4_AG                     (* (reg8 *) gpio4__AG)                       
/* Analog MUX bux enable */
#define gpio4_AMUX                   (* (reg8 *) gpio4__AMUX) 
/* Bidirectional Enable */                                                        
#define gpio4_BIE                    (* (reg8 *) gpio4__BIE)
/* Bit-mask for Aliased Register Access */
#define gpio4_BIT_MASK               (* (reg8 *) gpio4__BIT_MASK)
/* Bypass Enable */
#define gpio4_BYP                    (* (reg8 *) gpio4__BYP)
/* Port wide control signals */                                                   
#define gpio4_CTL                    (* (reg8 *) gpio4__CTL)
/* Drive Modes */
#define gpio4_DM0                    (* (reg8 *) gpio4__DM0) 
#define gpio4_DM1                    (* (reg8 *) gpio4__DM1)
#define gpio4_DM2                    (* (reg8 *) gpio4__DM2) 
/* Input Buffer Disable Override */
#define gpio4_INP_DIS                (* (reg8 *) gpio4__INP_DIS)
/* LCD Common or Segment Drive */
#define gpio4_LCD_COM_SEG            (* (reg8 *) gpio4__LCD_COM_SEG)
/* Enable Segment LCD */
#define gpio4_LCD_EN                 (* (reg8 *) gpio4__LCD_EN)
/* Slew Rate Control */
#define gpio4_SLW                    (* (reg8 *) gpio4__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define gpio4_PRTDSI__CAPS_SEL       (* (reg8 *) gpio4__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define gpio4_PRTDSI__DBL_SYNC_IN    (* (reg8 *) gpio4__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define gpio4_PRTDSI__OE_SEL0        (* (reg8 *) gpio4__PRTDSI__OE_SEL0) 
#define gpio4_PRTDSI__OE_SEL1        (* (reg8 *) gpio4__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define gpio4_PRTDSI__OUT_SEL0       (* (reg8 *) gpio4__PRTDSI__OUT_SEL0) 
#define gpio4_PRTDSI__OUT_SEL1       (* (reg8 *) gpio4__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define gpio4_PRTDSI__SYNC_OUT       (* (reg8 *) gpio4__PRTDSI__SYNC_OUT) 


#if defined(gpio4__INTSTAT)  /* Interrupt Registers */

    #define gpio4_INTSTAT                (* (reg8 *) gpio4__INTSTAT)
    #define gpio4_SNAP                   (* (reg8 *) gpio4__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins gpio4_H */


/* [] END OF FILE */
