/*******************************************************************************
* File Name: gpio6.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_gpio6_H) /* Pins gpio6_H */
#define CY_PINS_gpio6_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "gpio6_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    gpio6_Write(uint8 value) ;
void    gpio6_SetDriveMode(uint8 mode) ;
uint8   gpio6_ReadDataReg(void) ;
uint8   gpio6_Read(void) ;
uint8   gpio6_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define gpio6_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define gpio6_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define gpio6_DM_RES_UP          PIN_DM_RES_UP
#define gpio6_DM_RES_DWN         PIN_DM_RES_DWN
#define gpio6_DM_OD_LO           PIN_DM_OD_LO
#define gpio6_DM_OD_HI           PIN_DM_OD_HI
#define gpio6_DM_STRONG          PIN_DM_STRONG
#define gpio6_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define gpio6_MASK               gpio6__MASK
#define gpio6_SHIFT              gpio6__SHIFT
#define gpio6_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define gpio6_PS                     (* (reg8 *) gpio6__PS)
/* Data Register */
#define gpio6_DR                     (* (reg8 *) gpio6__DR)
/* Port Number */
#define gpio6_PRT_NUM                (* (reg8 *) gpio6__PRT) 
/* Connect to Analog Globals */                                                  
#define gpio6_AG                     (* (reg8 *) gpio6__AG)                       
/* Analog MUX bux enable */
#define gpio6_AMUX                   (* (reg8 *) gpio6__AMUX) 
/* Bidirectional Enable */                                                        
#define gpio6_BIE                    (* (reg8 *) gpio6__BIE)
/* Bit-mask for Aliased Register Access */
#define gpio6_BIT_MASK               (* (reg8 *) gpio6__BIT_MASK)
/* Bypass Enable */
#define gpio6_BYP                    (* (reg8 *) gpio6__BYP)
/* Port wide control signals */                                                   
#define gpio6_CTL                    (* (reg8 *) gpio6__CTL)
/* Drive Modes */
#define gpio6_DM0                    (* (reg8 *) gpio6__DM0) 
#define gpio6_DM1                    (* (reg8 *) gpio6__DM1)
#define gpio6_DM2                    (* (reg8 *) gpio6__DM2) 
/* Input Buffer Disable Override */
#define gpio6_INP_DIS                (* (reg8 *) gpio6__INP_DIS)
/* LCD Common or Segment Drive */
#define gpio6_LCD_COM_SEG            (* (reg8 *) gpio6__LCD_COM_SEG)
/* Enable Segment LCD */
#define gpio6_LCD_EN                 (* (reg8 *) gpio6__LCD_EN)
/* Slew Rate Control */
#define gpio6_SLW                    (* (reg8 *) gpio6__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define gpio6_PRTDSI__CAPS_SEL       (* (reg8 *) gpio6__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define gpio6_PRTDSI__DBL_SYNC_IN    (* (reg8 *) gpio6__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define gpio6_PRTDSI__OE_SEL0        (* (reg8 *) gpio6__PRTDSI__OE_SEL0) 
#define gpio6_PRTDSI__OE_SEL1        (* (reg8 *) gpio6__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define gpio6_PRTDSI__OUT_SEL0       (* (reg8 *) gpio6__PRTDSI__OUT_SEL0) 
#define gpio6_PRTDSI__OUT_SEL1       (* (reg8 *) gpio6__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define gpio6_PRTDSI__SYNC_OUT       (* (reg8 *) gpio6__PRTDSI__SYNC_OUT) 


#if defined(gpio6__INTSTAT)  /* Interrupt Registers */

    #define gpio6_INTSTAT                (* (reg8 *) gpio6__INTSTAT)
    #define gpio6_SNAP                   (* (reg8 *) gpio6__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins gpio6_H */


/* [] END OF FILE */
