/*******************************************************************************
* File Name: input_mux.h
* Version 1.50
*
*  Description:
*    This file contains the constants and function prototypes for the Analog
*    Multiplexer User Module AMux.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_AMUX_input_mux_H)
#define CY_AMUX_input_mux_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"


/***************************************
*        Function Prototypes
***************************************/

void input_mux_Start(void);
void input_mux_Init(void);
void input_mux_Stop(void);
void input_mux_Select(uint8 channel) ;
void input_mux_FastSelect(uint8 channel) ;
void input_mux_DisconnectAll(void) ;
/* The Connect and Disconnect functions are declared elsewhere */
/* void input_mux_Connect(uint8 channel); */
/* void input_mux_Disconnect(uint8 channel); */


/***************************************
*     Initial Parameter Constants
***************************************/

#define input_mux_CHANNELS  4
#define input_mux_MUXTYPE   2


/***************************************
*             API Constants
***************************************/

#define input_mux_NULL_CHANNEL  0xFFu
#define input_mux_MUX_SINGLE   1
#define input_mux_MUX_DIFF     2


/***************************************
*        Conditional Functions
***************************************/

#if input_mux_MUXTYPE == input_mux_MUX_SINGLE
# define input_mux_Connect(channel) input_mux_Set(channel)
# define input_mux_Disconnect(channel) input_mux_Unset(channel)
#else
void input_mux_Connect(uint8 channel) ;
void input_mux_Disconnect(uint8 channel) ;
#endif

#endif /* CY_AMUX_input_mux_H */


/* [] END OF FILE */
