/*******************************************************************************
* File Name: oled_reset.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_oled_reset_H) /* Pins oled_reset_H */
#define CY_PINS_oled_reset_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "oled_reset_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    oled_reset_Write(uint8 value) ;
void    oled_reset_SetDriveMode(uint8 mode) ;
uint8   oled_reset_ReadDataReg(void) ;
uint8   oled_reset_Read(void) ;
uint8   oled_reset_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define oled_reset_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define oled_reset_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define oled_reset_DM_RES_UP          PIN_DM_RES_UP
#define oled_reset_DM_RES_DWN         PIN_DM_RES_DWN
#define oled_reset_DM_OD_LO           PIN_DM_OD_LO
#define oled_reset_DM_OD_HI           PIN_DM_OD_HI
#define oled_reset_DM_STRONG          PIN_DM_STRONG
#define oled_reset_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define oled_reset_MASK               oled_reset__MASK
#define oled_reset_SHIFT              oled_reset__SHIFT
#define oled_reset_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define oled_reset_PS                     (* (reg8 *) oled_reset__PS)
/* Data Register */
#define oled_reset_DR                     (* (reg8 *) oled_reset__DR)
/* Port Number */
#define oled_reset_PRT_NUM                (* (reg8 *) oled_reset__PRT) 
/* Connect to Analog Globals */                                                  
#define oled_reset_AG                     (* (reg8 *) oled_reset__AG)                       
/* Analog MUX bux enable */
#define oled_reset_AMUX                   (* (reg8 *) oled_reset__AMUX) 
/* Bidirectional Enable */                                                        
#define oled_reset_BIE                    (* (reg8 *) oled_reset__BIE)
/* Bit-mask for Aliased Register Access */
#define oled_reset_BIT_MASK               (* (reg8 *) oled_reset__BIT_MASK)
/* Bypass Enable */
#define oled_reset_BYP                    (* (reg8 *) oled_reset__BYP)
/* Port wide control signals */                                                   
#define oled_reset_CTL                    (* (reg8 *) oled_reset__CTL)
/* Drive Modes */
#define oled_reset_DM0                    (* (reg8 *) oled_reset__DM0) 
#define oled_reset_DM1                    (* (reg8 *) oled_reset__DM1)
#define oled_reset_DM2                    (* (reg8 *) oled_reset__DM2) 
/* Input Buffer Disable Override */
#define oled_reset_INP_DIS                (* (reg8 *) oled_reset__INP_DIS)
/* LCD Common or Segment Drive */
#define oled_reset_LCD_COM_SEG            (* (reg8 *) oled_reset__LCD_COM_SEG)
/* Enable Segment LCD */
#define oled_reset_LCD_EN                 (* (reg8 *) oled_reset__LCD_EN)
/* Slew Rate Control */
#define oled_reset_SLW                    (* (reg8 *) oled_reset__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define oled_reset_PRTDSI__CAPS_SEL       (* (reg8 *) oled_reset__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define oled_reset_PRTDSI__DBL_SYNC_IN    (* (reg8 *) oled_reset__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define oled_reset_PRTDSI__OE_SEL0        (* (reg8 *) oled_reset__PRTDSI__OE_SEL0) 
#define oled_reset_PRTDSI__OE_SEL1        (* (reg8 *) oled_reset__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define oled_reset_PRTDSI__OUT_SEL0       (* (reg8 *) oled_reset__PRTDSI__OUT_SEL0) 
#define oled_reset_PRTDSI__OUT_SEL1       (* (reg8 *) oled_reset__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define oled_reset_PRTDSI__SYNC_OUT       (* (reg8 *) oled_reset__PRTDSI__SYNC_OUT) 


#if defined(oled_reset__INTSTAT)  /* Interrupt Registers */

    #define oled_reset_INTSTAT                (* (reg8 *) oled_reset__INTSTAT)
    #define oled_reset_SNAP                   (* (reg8 *) oled_reset__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins oled_reset_H */


/* [] END OF FILE */
