/*******************************************************************************
* File Name: onMillisecond.c  
* Version 1.50
*
*  Description:
*   API for controlling the state of an interrupt.
*
*
*  Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/


#include <CYDEVICE.H>
#include <CYDEVICE_TRM.H>
#include <CYLIB.H>
#include <onMillisecond.H>


/*******************************************************************************
*  Place your includes, defines and code here 
********************************************************************************/
/* `#START onMillisecond_intc` */
void onMillisecond(void);
/* `#END` */

#ifndef CYINT_IRQ_BASE
#define CYINT_IRQ_BASE	16
#endif
#ifndef CYINT_VECT_TABLE
#define CYINT_VECT_TABLE    ((cyisraddress **) CYREG_NVIC_VECT_OFFSET)
#endif

/* Declared in startup, used to set unused interrupts to. */
CY_ISR_PROTO(IntDefaultHandler);

/*******************************************************************************
* Function Name: onMillisecond_Start
********************************************************************************
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   void.
*
*
* Return:
*   void.
*
*******************************************************************************/
void onMillisecond_Start(void)
{
    /* For all we know the interrupt is active. */
    onMillisecond_Disable();

    /* Set the ISR to point to the onMillisecond Interrupt. */
    onMillisecond_SetVector(onMillisecond_Interrupt);

    /* Set the priority. */
    onMillisecond_SetPriority(onMillisecond_INTC_PRIOR_NUMBER);

    /* Enable it. */
    onMillisecond_Enable();
}

/*******************************************************************************
* Function Name: onMillisecond_StartEx
********************************************************************************
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   address: Address of the ISR to set in the interrupt vector table.
*
*
* Return:
*   void.
*
*******************************************************************************/
void onMillisecond_StartEx(cyisraddress address)
{
    /* For all we know the interrupt is active. */
    onMillisecond_Disable();

    /* Set the ISR to point to the onMillisecond Interrupt. */
    onMillisecond_SetVector(address);

    /* Set the priority. */
    onMillisecond_SetPriority(onMillisecond_INTC_PRIOR_NUMBER);

    /* Enable it. */
    onMillisecond_Enable();
}

/*******************************************************************************
* Function Name: onMillisecond_Stop
********************************************************************************
* Summary:
*   Disables and removes the interrupt.
*
* Parameters:  
*
*
* Return:
*   void.
*
*******************************************************************************/
void onMillisecond_Stop(void) 
{
    /* Disable this interrupt. */
    onMillisecond_Disable();

    /* Set the ISR to point to the passive one. */
    onMillisecond_SetVector(IntDefaultHandler);
}

/*******************************************************************************
* Function Name: onMillisecond_Interrupt
********************************************************************************
* Summary:
*   The default Interrupt Service Routine for onMillisecond.
*
*   Add custom code between the coments to keep the next version of this file
*   from over writting your code.
*
*
*
* Parameters:  
*
*
* Return:
*   void.
*
*******************************************************************************/
CY_ISR(onMillisecond_Interrupt)
{
    /*  Place your Interrupt code here. */
    /* `#START onMillisecond_Interrupt` */
	onMillisecond();
    /* `#END` */
}

/*******************************************************************************
* Function Name: onMillisecond_SetVector
********************************************************************************
* Summary:
*   Change the ISR vector for the Interrupt. Note calling onMillisecond_Start
*   will override any effect this method would have had. To set the vector before
*   the component has been started use onMillisecond_StartEx instead.
*
*
* Parameters:
*   address: Address of the ISR to set in the interrupt vector table.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onMillisecond_SetVector(cyisraddress address) 
{
    cyisraddress * ramVectorTable;

    ramVectorTable = (cyisraddress *) *CYINT_VECT_TABLE;

    ramVectorTable[CYINT_IRQ_BASE + onMillisecond__INTC_NUMBER] = address;
}

/*******************************************************************************
* Function Name: onMillisecond_GetVector
********************************************************************************
* Summary:
*   Gets the "address" of the current ISR vector for the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   Address of the ISR in the interrupt vector table.
*
*
*******************************************************************************/
cyisraddress onMillisecond_GetVector(void) 
{
    cyisraddress * ramVectorTable;

    ramVectorTable = (cyisraddress *) *CYINT_VECT_TABLE;

    return ramVectorTable[CYINT_IRQ_BASE + onMillisecond__INTC_NUMBER];
}

/*******************************************************************************
* Function Name: onMillisecond_SetPriority
********************************************************************************
* Summary:
*   Sets the Priority of the Interrupt. Note calling onMillisecond_Start
*   or onMillisecond_StartEx will override any effect this method would have had. 
*	This method should only be called after onMillisecond_Start or 
*	onMillisecond_StartEx has been called. To set the initial
*	priority for the component use the cydwr file in the tool.
*
*
* Parameters:
*   priority: Priority of the interrupt. 0 - 7, 0 being the highest.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onMillisecond_SetPriority(uint8 priority) 
{
    *onMillisecond_INTC_PRIOR = priority << 5;
}

/*******************************************************************************
* Function Name: onMillisecond_GetPriority
********************************************************************************
* Summary:
*   Gets the Priority of the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   Priority of the interrupt. 0 - 7, 0 being the highest.
*
*
*******************************************************************************/
uint8 onMillisecond_GetPriority(void) 
{
    uint8 priority;


    priority = *onMillisecond_INTC_PRIOR >> 5;

    return priority;
}

/*******************************************************************************
* Function Name: onMillisecond_Enable
********************************************************************************
* Summary:
*   Enables the interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onMillisecond_Enable(void) 
{
    /* Enable the general interrupt. */
    *onMillisecond_INTC_SET_EN = onMillisecond__INTC_MASK;
}

/*******************************************************************************
* Function Name: onMillisecond_GetState
********************************************************************************
* Summary:
*   Gets the state (enabled, disabled) of the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   1 if enabled, 0 if disabled.
*
*
*******************************************************************************/
uint8 onMillisecond_GetState(void) 
{
    /* Get the state of the general interrupt. */
    return (*onMillisecond_INTC_SET_EN & onMillisecond__INTC_MASK) ? 1:0;
}

/*******************************************************************************
* Function Name: onMillisecond_Disable
********************************************************************************
* Summary:
*   Disables the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onMillisecond_Disable(void) 
{
    /* Disable the general interrupt. */
    *onMillisecond_INTC_CLR_EN = onMillisecond__INTC_MASK;
}

/*******************************************************************************
* Function Name: onMillisecond_SetPending
********************************************************************************
* Summary:
*   Causes the Interrupt to enter the pending state, a software method of
*   generating the interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onMillisecond_SetPending(void) 
{
    *onMillisecond_INTC_SET_PD = onMillisecond__INTC_MASK;
}

/*******************************************************************************
* Function Name: onMillisecond_ClearPending
********************************************************************************
* Summary:
*   Clears a pending interrupt.
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onMillisecond_ClearPending(void) 
{
    *onMillisecond_INTC_CLR_PD = onMillisecond__INTC_MASK;
}
