/*******************************************************************************
* File Name: onMillisecond.h
* Version 1.50
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__onMillisecond_INTC_H__)
#define __onMillisecond_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void onMillisecond_Start(void);
void onMillisecond_StartEx(cyisraddress address);
void onMillisecond_Stop(void) ;

CY_ISR_PROTO(onMillisecond_Interrupt);

void onMillisecond_SetVector(cyisraddress address) ;
cyisraddress onMillisecond_GetVector(void) ;

void onMillisecond_SetPriority(uint8 priority) ;
uint8 onMillisecond_GetPriority(void) ;

void onMillisecond_Enable(void) ;
uint8 onMillisecond_GetState(void) ;
void onMillisecond_Disable(void) ;

void onMillisecond_SetPending(void) ;
void onMillisecond_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the onMillisecond ISR. */
#define onMillisecond_INTC_VECTOR            ((reg32 *) onMillisecond__INTC_VECT)

/* Address of the onMillisecond ISR priority. */
#define onMillisecond_INTC_PRIOR             ((reg8 *) onMillisecond__INTC_PRIOR_REG)

/* Priority of the onMillisecond interrupt. */
#define onMillisecond_INTC_PRIOR_NUMBER      onMillisecond__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable onMillisecond interrupt. */
#define onMillisecond_INTC_SET_EN            ((reg32 *) onMillisecond__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the onMillisecond interrupt. */
#define onMillisecond_INTC_CLR_EN            ((reg32 *) onMillisecond__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the onMillisecond interrupt state to pending. */
#define onMillisecond_INTC_SET_PD            ((reg32 *) onMillisecond__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the onMillisecond interrupt. */
#define onMillisecond_INTC_CLR_PD            ((reg32 *) onMillisecond__INTC_CLR_PD_REG)



/* __onMillisecond_INTC_H__ */
#endif
