/*******************************************************************************
* File Name: onTenMillisecond.c  
* Version 1.50
*
*  Description:
*   API for controlling the state of an interrupt.
*
*
*  Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/


#include <CYDEVICE.H>
#include <CYDEVICE_TRM.H>
#include <CYLIB.H>
#include <onTenMillisecond.H>


/*******************************************************************************
*  Place your includes, defines and code here 
********************************************************************************/
/* `#START onTenMillisecond_intc` */
void onTenMillisecond();
/* `#END` */

#ifndef CYINT_IRQ_BASE
#define CYINT_IRQ_BASE	16
#endif
#ifndef CYINT_VECT_TABLE
#define CYINT_VECT_TABLE    ((cyisraddress **) CYREG_NVIC_VECT_OFFSET)
#endif

/* Declared in startup, used to set unused interrupts to. */
CY_ISR_PROTO(IntDefaultHandler);

/*******************************************************************************
* Function Name: onTenMillisecond_Start
********************************************************************************
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   void.
*
*
* Return:
*   void.
*
*******************************************************************************/
void onTenMillisecond_Start(void)
{
    /* For all we know the interrupt is active. */
    onTenMillisecond_Disable();

    /* Set the ISR to point to the onTenMillisecond Interrupt. */
    onTenMillisecond_SetVector(onTenMillisecond_Interrupt);

    /* Set the priority. */
    onTenMillisecond_SetPriority(onTenMillisecond_INTC_PRIOR_NUMBER);

    /* Enable it. */
    onTenMillisecond_Enable();
}

/*******************************************************************************
* Function Name: onTenMillisecond_StartEx
********************************************************************************
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   address: Address of the ISR to set in the interrupt vector table.
*
*
* Return:
*   void.
*
*******************************************************************************/
void onTenMillisecond_StartEx(cyisraddress address)
{
    /* For all we know the interrupt is active. */
    onTenMillisecond_Disable();

    /* Set the ISR to point to the onTenMillisecond Interrupt. */
    onTenMillisecond_SetVector(address);

    /* Set the priority. */
    onTenMillisecond_SetPriority(onTenMillisecond_INTC_PRIOR_NUMBER);

    /* Enable it. */
    onTenMillisecond_Enable();
}

/*******************************************************************************
* Function Name: onTenMillisecond_Stop
********************************************************************************
* Summary:
*   Disables and removes the interrupt.
*
* Parameters:  
*
*
* Return:
*   void.
*
*******************************************************************************/
void onTenMillisecond_Stop(void) 
{
    /* Disable this interrupt. */
    onTenMillisecond_Disable();

    /* Set the ISR to point to the passive one. */
    onTenMillisecond_SetVector(IntDefaultHandler);
}

/*******************************************************************************
* Function Name: onTenMillisecond_Interrupt
********************************************************************************
* Summary:
*   The default Interrupt Service Routine for onTenMillisecond.
*
*   Add custom code between the coments to keep the next version of this file
*   from over writting your code.
*
*
*
* Parameters:  
*
*
* Return:
*   void.
*
*******************************************************************************/
CY_ISR(onTenMillisecond_Interrupt)
{
    /*  Place your Interrupt code here. */
    /* `#START onTenMillisecond_Interrupt` */
//	onTenMillisecond_ClearPending();
	onTenMillisecond();
    /* `#END` */
}

/*******************************************************************************
* Function Name: onTenMillisecond_SetVector
********************************************************************************
* Summary:
*   Change the ISR vector for the Interrupt. Note calling onTenMillisecond_Start
*   will override any effect this method would have had. To set the vector before
*   the component has been started use onTenMillisecond_StartEx instead.
*
*
* Parameters:
*   address: Address of the ISR to set in the interrupt vector table.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onTenMillisecond_SetVector(cyisraddress address) 
{
    cyisraddress * ramVectorTable;

    ramVectorTable = (cyisraddress *) *CYINT_VECT_TABLE;

    ramVectorTable[CYINT_IRQ_BASE + onTenMillisecond__INTC_NUMBER] = address;
}

/*******************************************************************************
* Function Name: onTenMillisecond_GetVector
********************************************************************************
* Summary:
*   Gets the "address" of the current ISR vector for the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   Address of the ISR in the interrupt vector table.
*
*
*******************************************************************************/
cyisraddress onTenMillisecond_GetVector(void) 
{
    cyisraddress * ramVectorTable;

    ramVectorTable = (cyisraddress *) *CYINT_VECT_TABLE;

    return ramVectorTable[CYINT_IRQ_BASE + onTenMillisecond__INTC_NUMBER];
}

/*******************************************************************************
* Function Name: onTenMillisecond_SetPriority
********************************************************************************
* Summary:
*   Sets the Priority of the Interrupt. Note calling onTenMillisecond_Start
*   or onTenMillisecond_StartEx will override any effect this method would have had. 
*	This method should only be called after onTenMillisecond_Start or 
*	onTenMillisecond_StartEx has been called. To set the initial
*	priority for the component use the cydwr file in the tool.
*
*
* Parameters:
*   priority: Priority of the interrupt. 0 - 7, 0 being the highest.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onTenMillisecond_SetPriority(uint8 priority) 
{
    *onTenMillisecond_INTC_PRIOR = priority << 5;
}

/*******************************************************************************
* Function Name: onTenMillisecond_GetPriority
********************************************************************************
* Summary:
*   Gets the Priority of the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   Priority of the interrupt. 0 - 7, 0 being the highest.
*
*
*******************************************************************************/
uint8 onTenMillisecond_GetPriority(void) 
{
    uint8 priority;


    priority = *onTenMillisecond_INTC_PRIOR >> 5;

    return priority;
}

/*******************************************************************************
* Function Name: onTenMillisecond_Enable
********************************************************************************
* Summary:
*   Enables the interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onTenMillisecond_Enable(void) 
{
    /* Enable the general interrupt. */
    *onTenMillisecond_INTC_SET_EN = onTenMillisecond__INTC_MASK;
}

/*******************************************************************************
* Function Name: onTenMillisecond_GetState
********************************************************************************
* Summary:
*   Gets the state (enabled, disabled) of the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   1 if enabled, 0 if disabled.
*
*
*******************************************************************************/
uint8 onTenMillisecond_GetState(void) 
{
    /* Get the state of the general interrupt. */
    return (*onTenMillisecond_INTC_SET_EN & onTenMillisecond__INTC_MASK) ? 1:0;
}

/*******************************************************************************
* Function Name: onTenMillisecond_Disable
********************************************************************************
* Summary:
*   Disables the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onTenMillisecond_Disable(void) 
{
    /* Disable the general interrupt. */
    *onTenMillisecond_INTC_CLR_EN = onTenMillisecond__INTC_MASK;
}

/*******************************************************************************
* Function Name: onTenMillisecond_SetPending
********************************************************************************
* Summary:
*   Causes the Interrupt to enter the pending state, a software method of
*   generating the interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onTenMillisecond_SetPending(void) 
{
    *onTenMillisecond_INTC_SET_PD = onTenMillisecond__INTC_MASK;
}

/*******************************************************************************
* Function Name: onTenMillisecond_ClearPending
********************************************************************************
* Summary:
*   Clears a pending interrupt.
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void onTenMillisecond_ClearPending(void) 
{
    *onTenMillisecond_INTC_CLR_PD = onTenMillisecond__INTC_MASK;
}
