/*******************************************************************************
* File Name: onTenMillisecond.h
* Version 1.50
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__onTenMillisecond_INTC_H__)
#define __onTenMillisecond_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void onTenMillisecond_Start(void);
void onTenMillisecond_StartEx(cyisraddress address);
void onTenMillisecond_Stop(void) ;

CY_ISR_PROTO(onTenMillisecond_Interrupt);

void onTenMillisecond_SetVector(cyisraddress address) ;
cyisraddress onTenMillisecond_GetVector(void) ;

void onTenMillisecond_SetPriority(uint8 priority) ;
uint8 onTenMillisecond_GetPriority(void) ;

void onTenMillisecond_Enable(void) ;
uint8 onTenMillisecond_GetState(void) ;
void onTenMillisecond_Disable(void) ;

void onTenMillisecond_SetPending(void) ;
void onTenMillisecond_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the onTenMillisecond ISR. */
#define onTenMillisecond_INTC_VECTOR            ((reg32 *) onTenMillisecond__INTC_VECT)

/* Address of the onTenMillisecond ISR priority. */
#define onTenMillisecond_INTC_PRIOR             ((reg8 *) onTenMillisecond__INTC_PRIOR_REG)

/* Priority of the onTenMillisecond interrupt. */
#define onTenMillisecond_INTC_PRIOR_NUMBER      onTenMillisecond__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable onTenMillisecond interrupt. */
#define onTenMillisecond_INTC_SET_EN            ((reg32 *) onTenMillisecond__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the onTenMillisecond interrupt. */
#define onTenMillisecond_INTC_CLR_EN            ((reg32 *) onTenMillisecond__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the onTenMillisecond interrupt state to pending. */
#define onTenMillisecond_INTC_SET_PD            ((reg32 *) onTenMillisecond__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the onTenMillisecond interrupt. */
#define onTenMillisecond_INTC_CLR_PD            ((reg32 *) onTenMillisecond__INTC_CLR_PD_REG)



/* __onTenMillisecond_INTC_H__ */
#endif
