/*******************************************************************************
* File Name: spi_chipselect.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_spi_chipselect_H) /* Pins spi_chipselect_H */
#define CY_PINS_spi_chipselect_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "spi_chipselect_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    spi_chipselect_Write(uint8 value) ;
void    spi_chipselect_SetDriveMode(uint8 mode) ;
uint8   spi_chipselect_ReadDataReg(void) ;
uint8   spi_chipselect_Read(void) ;
uint8   spi_chipselect_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define spi_chipselect_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define spi_chipselect_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define spi_chipselect_DM_RES_UP          PIN_DM_RES_UP
#define spi_chipselect_DM_RES_DWN         PIN_DM_RES_DWN
#define spi_chipselect_DM_OD_LO           PIN_DM_OD_LO
#define spi_chipselect_DM_OD_HI           PIN_DM_OD_HI
#define spi_chipselect_DM_STRONG          PIN_DM_STRONG
#define spi_chipselect_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define spi_chipselect_MASK               spi_chipselect__MASK
#define spi_chipselect_SHIFT              spi_chipselect__SHIFT
#define spi_chipselect_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define spi_chipselect_PS                     (* (reg8 *) spi_chipselect__PS)
/* Data Register */
#define spi_chipselect_DR                     (* (reg8 *) spi_chipselect__DR)
/* Port Number */
#define spi_chipselect_PRT_NUM                (* (reg8 *) spi_chipselect__PRT) 
/* Connect to Analog Globals */                                                  
#define spi_chipselect_AG                     (* (reg8 *) spi_chipselect__AG)                       
/* Analog MUX bux enable */
#define spi_chipselect_AMUX                   (* (reg8 *) spi_chipselect__AMUX) 
/* Bidirectional Enable */                                                        
#define spi_chipselect_BIE                    (* (reg8 *) spi_chipselect__BIE)
/* Bit-mask for Aliased Register Access */
#define spi_chipselect_BIT_MASK               (* (reg8 *) spi_chipselect__BIT_MASK)
/* Bypass Enable */
#define spi_chipselect_BYP                    (* (reg8 *) spi_chipselect__BYP)
/* Port wide control signals */                                                   
#define spi_chipselect_CTL                    (* (reg8 *) spi_chipselect__CTL)
/* Drive Modes */
#define spi_chipselect_DM0                    (* (reg8 *) spi_chipselect__DM0) 
#define spi_chipselect_DM1                    (* (reg8 *) spi_chipselect__DM1)
#define spi_chipselect_DM2                    (* (reg8 *) spi_chipselect__DM2) 
/* Input Buffer Disable Override */
#define spi_chipselect_INP_DIS                (* (reg8 *) spi_chipselect__INP_DIS)
/* LCD Common or Segment Drive */
#define spi_chipselect_LCD_COM_SEG            (* (reg8 *) spi_chipselect__LCD_COM_SEG)
/* Enable Segment LCD */
#define spi_chipselect_LCD_EN                 (* (reg8 *) spi_chipselect__LCD_EN)
/* Slew Rate Control */
#define spi_chipselect_SLW                    (* (reg8 *) spi_chipselect__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define spi_chipselect_PRTDSI__CAPS_SEL       (* (reg8 *) spi_chipselect__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define spi_chipselect_PRTDSI__DBL_SYNC_IN    (* (reg8 *) spi_chipselect__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define spi_chipselect_PRTDSI__OE_SEL0        (* (reg8 *) spi_chipselect__PRTDSI__OE_SEL0) 
#define spi_chipselect_PRTDSI__OE_SEL1        (* (reg8 *) spi_chipselect__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define spi_chipselect_PRTDSI__OUT_SEL0       (* (reg8 *) spi_chipselect__PRTDSI__OUT_SEL0) 
#define spi_chipselect_PRTDSI__OUT_SEL1       (* (reg8 *) spi_chipselect__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define spi_chipselect_PRTDSI__SYNC_OUT       (* (reg8 *) spi_chipselect__PRTDSI__SYNC_OUT) 


#if defined(spi_chipselect__INTSTAT)  /* Interrupt Registers */

    #define spi_chipselect_INTSTAT                (* (reg8 *) spi_chipselect__INTSTAT)
    #define spi_chipselect_SNAP                   (* (reg8 *) spi_chipselect__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins spi_chipselect_H */


/* [] END OF FILE */
