/*******************************************************************************
* File Name: usb_pin.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_usb_pin_H) /* Pins usb_pin_H */
#define CY_PINS_usb_pin_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "usb_pin_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    usb_pin_Write(uint8 value) ;
void    usb_pin_SetDriveMode(uint8 mode) ;
uint8   usb_pin_ReadDataReg(void) ;
uint8   usb_pin_Read(void) ;
uint8   usb_pin_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define usb_pin_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define usb_pin_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define usb_pin_DM_RES_UP          PIN_DM_RES_UP
#define usb_pin_DM_RES_DWN         PIN_DM_RES_DWN
#define usb_pin_DM_OD_LO           PIN_DM_OD_LO
#define usb_pin_DM_OD_HI           PIN_DM_OD_HI
#define usb_pin_DM_STRONG          PIN_DM_STRONG
#define usb_pin_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define usb_pin_MASK               usb_pin__MASK
#define usb_pin_SHIFT              usb_pin__SHIFT
#define usb_pin_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define usb_pin_PS                     (* (reg8 *) usb_pin__PS)
/* Data Register */
#define usb_pin_DR                     (* (reg8 *) usb_pin__DR)
/* Port Number */
#define usb_pin_PRT_NUM                (* (reg8 *) usb_pin__PRT) 
/* Connect to Analog Globals */                                                  
#define usb_pin_AG                     (* (reg8 *) usb_pin__AG)                       
/* Analog MUX bux enable */
#define usb_pin_AMUX                   (* (reg8 *) usb_pin__AMUX) 
/* Bidirectional Enable */                                                        
#define usb_pin_BIE                    (* (reg8 *) usb_pin__BIE)
/* Bit-mask for Aliased Register Access */
#define usb_pin_BIT_MASK               (* (reg8 *) usb_pin__BIT_MASK)
/* Bypass Enable */
#define usb_pin_BYP                    (* (reg8 *) usb_pin__BYP)
/* Port wide control signals */                                                   
#define usb_pin_CTL                    (* (reg8 *) usb_pin__CTL)
/* Drive Modes */
#define usb_pin_DM0                    (* (reg8 *) usb_pin__DM0) 
#define usb_pin_DM1                    (* (reg8 *) usb_pin__DM1)
#define usb_pin_DM2                    (* (reg8 *) usb_pin__DM2) 
/* Input Buffer Disable Override */
#define usb_pin_INP_DIS                (* (reg8 *) usb_pin__INP_DIS)
/* LCD Common or Segment Drive */
#define usb_pin_LCD_COM_SEG            (* (reg8 *) usb_pin__LCD_COM_SEG)
/* Enable Segment LCD */
#define usb_pin_LCD_EN                 (* (reg8 *) usb_pin__LCD_EN)
/* Slew Rate Control */
#define usb_pin_SLW                    (* (reg8 *) usb_pin__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define usb_pin_PRTDSI__CAPS_SEL       (* (reg8 *) usb_pin__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define usb_pin_PRTDSI__DBL_SYNC_IN    (* (reg8 *) usb_pin__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define usb_pin_PRTDSI__OE_SEL0        (* (reg8 *) usb_pin__PRTDSI__OE_SEL0) 
#define usb_pin_PRTDSI__OE_SEL1        (* (reg8 *) usb_pin__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define usb_pin_PRTDSI__OUT_SEL0       (* (reg8 *) usb_pin__PRTDSI__OUT_SEL0) 
#define usb_pin_PRTDSI__OUT_SEL1       (* (reg8 *) usb_pin__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define usb_pin_PRTDSI__SYNC_OUT       (* (reg8 *) usb_pin__PRTDSI__SYNC_OUT) 


#if defined(usb_pin__INTSTAT)  /* Interrupt Registers */

    #define usb_pin_INTSTAT                (* (reg8 *) usb_pin__INTSTAT)
    #define usb_pin_SNAP                   (* (reg8 *) usb_pin__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins usb_pin_H */


/* [] END OF FILE */
