/*
Helping functions for the OLED display.
*/

#ifndef DISPLAY_H
#define DISPLAY_H

#include <stdint.h>

// some RGB colors
#define COLOR_BLACK 0x000000
#define COLOR_RED 0xff0000
#define COLOR_GREEN 0x00ff00
#define COLOR_BLUE 0x0000ff
#define COLOR_YELLOW 0xffff00
#define COLOR_WHITE 0xffffff
#define COLOR_LIGHT_SEA_GREEN 0x20B2AA

// init display, clear screen and setup character modes
void initDisplay(void);

// show text
void drawString(uint8_t x, uint8_t y, uint32_t color, uint8_t size, const char* string);

// show a number (three digits, with clearing the unused digits, if less than three digits)
void drawInt(uint8_t x, uint8_t y, uint32_t color, uint8_t size, uint16_t value);

// show clock
void drawTime(uint8_t x, uint8_t y, uint32_t color, uint8_t hour, uint8_t minute, uint8_t second);

// draw a rectangle
void drawRectangle(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2, uint32_t color);

#endif
