#include "log.h"
#include "sdcard.h"

uint32_t g_blockNumber = 0;

void resetLogPointer(void)
{
	g_blockNumber = 0;
}

int addEntry(LogEntry* entry)
{
	// write empty next block
	uint8_t buf[SD_BLOCK_LENGTH];
	int i;
	for (i = 0; i < SD_BLOCK_LENGTH; i++) buf[i] = 0;
	int result = sdCardWriteBlock(g_blockNumber + 1, buf);
//	sdCardReadBlock(g_blockNumber + 1, buf);
	if (result) return result;
	
	// write entry in the current block
	uint8_t* pEntry = (uint8_t*) entry;
	for (i = 0; i < sizeof(LogEntry); i++) buf[i] = pEntry[i];
	result = sdCardWriteBlock(g_blockNumber, buf);
//	sdCardReadBlock(g_blockNumber, buf);
	if (result) return result;
	
	// next block
	g_blockNumber++;
}

int readNextEntry(LogEntry* entry)
{
	// read current block
	uint8_t buf[SD_BLOCK_LENGTH];
	int result = sdCardReadBlock(g_blockNumber, buf);
	if (result) return result;
	
	// copy data
	uint8_t* pEntry = (uint8_t*) entry;
	int i;
	for (i = 0; i < sizeof(LogEntry); i++) pEntry[i] = buf[i];
	
	// test for magic flag
	if (entry->magic != VALID_MAGIC) return 1;
	
	// increment to next block and return ok status
	g_blockNumber++;
	return 0;
}
