#ifndef LOG_H
#define LOG_H

#include <stdint.h>
#include "adc.h"

#define VALID_MAGIC 0x4d4c

// structure which is saved in the SD card blocks
typedef struct {
	uint32_t magic;
	uint32_t timestamp;
	float channel[CHANNEL_COUNT];
	uint32_t digitalIn;
	float temperature;
} LogEntry;

// reset logging for addEntry and readNextEntry
void resetLogPointer(void);

// save next entry
// returns 0 if sucessful
int addEntry(LogEntry* entry);

// read next entry
// returns 0 if successful, 1 if at the end of the logging or if an error occured
int readNextEntry(LogEntry* entry);

#endif
